<?php
if ($file_format == 'excel') {
    header("Content-type: application/vnd-ms-excel");
    header("Content-Disposition: attachment; filename=buku_kas_umum.xls");
}
?>
<html>
    <body>
        <?php
        ini_set("max_execution_time", 5000);
        ini_set('memory_limit', '1024M');
        $bulan_text = [
            "Januari",
            "Februari",
            "Maret",
            "April",
            "Mei",
            "Juni",
            "Juli",
            "Agustus",
            "September",
            "Oktober",
            "November",
            "Desember"
        ];
        ?>
        <div>
            <p style="text-align: center;">
                <span style="font-size: 12pt; font-weight: BOLD;">PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota); ?>, <?= strtoupper($ar_pemda->s_namaprov); ?></span>
                <br>
                <span style="font-size: 12pt; font-weight: BOLD;"><?= strtoupper($ar_pemda->s_namainstansi); ?> (<?= strtoupper($ar_pemda->s_namasingkatinstansi); ?>)</span><br>
                <?= strtoupper($ar_pemda->s_alamatinstansi); ?> Telp/Fax <?= $ar_pemda->s_notelinstansi ?>, <?= $ar_pemda->s_namaibukotakabkota ?> <?= $ar_pemda->s_kodepos ?>
            </p>
            <hr style="height: 2px; color: black; margin-top: 0px; margin-bottom: 0px">
            <hr style="height: 1px; color: black; margin-top: 2px; margin-bottom: 0px">
            <p style="text-align: center; font-size: 12pt;">
                <span style="font-size: 12pt; font-weight: BOLD;">BUKU PENERIMAAN SEJENIS (BPS)</span>
                <br>
                <span style="font-size: 10pt; font-weight: BOLD;"></span>
            </p>
            <table width="100%" style="border-collapse: collapse; font-size: 10pt">
                <tr>
                    <td style="border-left: 1px solid #000; border-top: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">NO.</td>
                    <td style="border-top: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">NAMA REKENING</td>
                    <td style="border-top: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">KODE BAYAR</td>
                    <td style="border-top: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">DITERIMA DARI</td>
                    <td style="border-top: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">NPWPD</td>
                    <td style="border-top: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">TGL. PEMBAYARAN</td>
                    <td style="border-top: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center; font-weight: bold">JUMLAH<br>(Rp.)</td>
                </tr>
                <?php
                $counter = 1;
                $tampungan = "";
                $total_pembayaran = 0;
                $all_pembayaran = 0;
                foreach ($data as $k => $v) {
                    ?>
                    <?php if ($tampungan != $v['t_jenispajak'] && !empty($tampungan)) { ?>
                        <tr>
                            <td colspan="6" style="border-left: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; font-weight: bold; text-align: right">
                                TOTAL
                            </td>
                            <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; font-weight: bold; text-align: right">
                                <?= number_format($total_pembayaran, 0, ',', '.') ?>
                            </td>
                        </tr>
                        <?php
                        $total_pembayaran = 0;
                    }
                    $total_pembayaran += $v['t_jmlhpembayaran'];
                    ?>
                    <tr>
                        <td style="border-left: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: center"><?= $counter ?></td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top;"><?= $v['korek'] ?><br><?= $v['s_namakorek'] ?></td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top;"><?= $v['t_kodebayar'] ?></td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top;"><?= $v['t_nop'] ?><br><?= $v['t_namaobjek'] ?></td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top;"><?= $v['t_npwpdwp'] ?><br><?= $v['t_namawp'] ?></td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top;"><?= date('d-m-Y', strtotime($v['t_tglpembayaran'])) ?></td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; text-align: right"><?= number_format($v['t_jmlhpembayaran'], 0, ',', '.') ?></td>
                    </tr>
                    <?php
                    $counter++;
                    $tampungan = $v['t_jenispajak'];
                    $all_pembayaran += $v['t_jmlhpembayaran'];
                }
                ?>
                <?php if (!empty($tampungan)) { ?>
                    <tr>
                        <td colspan="6" style="border-left: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; font-weight: bold; text-align: right">
                            TOTAL
                        </td>
                        <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; font-weight: bold; text-align: right">
                            <?= number_format($total_pembayaran, 0, ',', '.') ?>
                        </td>
                    </tr>
                <?php } ?>
                <tr>
                    <td colspan="6" style="border-left: 1px solid #000; border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; font-weight: bold; text-align: right">
                        TOTAL BPS
                    </td>
                    <td style="border-bottom: 1px solid #000; border-right: 1px solid #000; vertical-align:top; font-weight: bold; text-align: right">
                        <?= number_format($all_pembayaran, 0, ',', '.') ?>
                    </td>
                </tr>
            </table>
        </div>
    </body>
</html>